Subject: RE: bug#21746: 24.5; purpose of dired-keep-marker-copy?

From: Drew Adams <[email-masked]>
Date: Sat, 24 Oct 2015 09:05:56 -0700 (PDT)

> > > Would adding to dired.el autoload cookies for the commands and options
> > > in the other 2 packages have the same effect, as far as
> > > discoverability is concerned, as loading them?  If not, what will be
> > > missing?
> >
> > If I understand you correctly, no.  The point is to make
> > their commands and menu items apparent from the outset in
> > Dired.  IIUYC, what you describe would have Dired start
> > without them, and only if someone used one of their commands
> > would they be loaded.  That doesn't help discovery of what
> > they have to offer.
> 
> The commands will be apparent if we use autoload cookies, if by
> "apparent" you mean the help command will know about them (if you mean
> something else, please tell).  If we want them to be in the menus, we
> could perhaps add the missing menu items (I didn't check if that will
> work, though).

By "apparent" I mean (and I think I said so) not only that help
commands know about these features (keys, commands), but that
their submenus and their menu items are also available in Dired
from the outset.

But yes, I almost mentioned, along the lines of what you are
suggesting, that if you prefer to do all of the following,
instead of simply loading all dired*.el files together, then
that would be fine too:

1. Add all of the menu stuff to dired.el (or use some equivalent
   way to include them from the outset).

2. Ensure that :keys is used for them (or some equivalent), so
   that the associated keys are mentioned in the menus.

3. Autoload all of the commands.

A third possibility is to merge all of the other two files
into dired.el.

Both of these two possibilities are a lot more work than
just ensuring that when dired.el is loaded (however it
might be) the other two are loaded immediately also.